FROM ghcr.io/opcal/eclipse-temurin:21-jre

WORKDIR /app

COPY /tmp/artifact/order-service.jar /app

EXPOSE 10385

CMD ["java", \
	"--add-opens", "java.base/java.lang=ALL-UNNAMED", \
	"--add-opens", "java.base/java.lang.reflect=ALL-UNNAMED", \
	"--add-opens", "java.base/java.math=ALL-UNNAMED", \
	"-jar", "/app/order-service.jar"]
	
